Secret API key bound to an environment.
In: header
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/playbooks"{ "data": [ { "id": "string", "version": "string", "versions": [ "string" ], "title": "string", "summary": "string", "business_types": [ "string" ], "requires": { "property1": null, "property2": null } } ], "next_cursor": null, "has_more": false}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthQuery Parameters
^(0|[1-9][0-9]{0,8})\.(0|[1-9][0-9]{0,8})\.(0|[1-9][0-9]{0,8})$length <= 64Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/playbooks/string"{ "schema": "orishare.playbook/v1", "id": "string", "version": "string", "versions": [ "string" ], "title": "string", "summary": "string", "business_types": [ "string" ], "parameters": { "property1": null, "property2": null }, "requires": { "property1": null, "property2": null }, "resources": { "property1": null, "property2": null }, "references": { "property1": null, "property2": null }, "variants": { "property1": null, "property2": null }, "display": { "property1": null, "property2": null }, "corrections": "string", "holdout": { "property1": null, "property2": null }, "verification": [ null ]}Secret API key bound to an environment.
In: header
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/playbook_previews" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "playbook_id": "daily_habit", "version": "1.0.0", "parameters": {} }'{ "id": "string", "environment_id": "string", "status": "pending", "channel": "dashboard", "source": "manual", "principal": { "kind": "string", "id": "string" }, "commands": [ null ], "plan": { "plan_digest": "string", "commands_digest": "string", "snapshot_at": "string", "diff": { "entries": [ null ], "unchanged": -9007199254740991 }, "expected_versions": [ { "resource": "string", "key": "string", "version": "string" } ], "effects": { "property1": null, "property2": null }, "irreversibility": [ null ], "flags": [ { "kind": "trust_weakening", "resource": "event_definition", "key": "string", "change": { "path": "string", "before": null, "after": null }, "digest": "string" } ], "required_scopes": [ "string" ], "approved_bounds": { "liability": [ { "currency": "string", "max_minor": "string" } ], "stock": [ { "offer": "string", "max_units": "string" } ], "codes": [ { "pool": "string", "max_codes": "string" } ], "customers_affected": "string", "issuances": { "property1": "string", "property2": "string" } }, "bulk": { "bulk_operation_id": "string", "kind": "string", "parameters": { "property1": null, "property2": null }, "selection": { "property1": null, "property2": null }, "undo_of": "string", "item_count": -9007199254740991, "counts": { "pending": -9007199254740991, "skipped": -9007199254740991 }, "skip_reasons": { "property1": -9007199254740991, "property2": -9007199254740991 }, "undo_class": "string", "undo_classes": { "property1": -9007199254740991, "property2": -9007199254740991 }, "notes": [ "string" ], "sample": [ { "property1": null, "property2": null } ] }, "playbook": { "property1": null, "property2": null }, "destructive": [ { "kind": "string", "count": 0, "identities": [ "string" ], "digest": "string" } ], "provenance": { "source_environment_id": "string", "source_configuration_revision": "string" }, "dependencies": [ { "kind": "program", "key": "string", "id": "string", "version_id": "string" } ], "undo_of": "string", "preconditions": { "property1": null, "property2": null } }, "publish": true, "expires_at": "string", "stale_reason": null, "committed_at": "string", "commit_id": "string", "commit": { "id": "string", "authority": "confirmation", "principal": { "kind": "string", "id": "string" }, "policy": { "property1": null, "property2": null }, "committed_at": "string" }, "undo_of": "string", "undone_by": "string", "created_at": "string", "updated_at": "string", "version": -9007199254740991}Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 20050length <= 2048Value in
- "active"
- "uninstalled"
^[a-z][a-z0-9_]{0,62}$Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/playbook_installations"{ "data": [ { "id": "string", "playbook_id": "string", "version": "string", "revision": -9007199254740991, "status": "active", "parameters": { "property1": null, "property2": null }, "prefix": "string", "holdout": { "property1": null, "property2": null }, "installed_change_set_id": "string", "last_change_set_id": "string", "created_at": "string", "updated_at": "string", "resources": [ { "kind": "currency", "key": "string", "adopted": true, "applied_digest": "string", "upstream_digest": "string", "current_digest": "string", "drift": "clean", "released_at": "string" } ] } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/playbook_installations/string"{ "id": "string", "playbook_id": "string", "version": "string", "revision": -9007199254740991, "status": "active", "parameters": { "property1": null, "property2": null }, "prefix": "string", "holdout": { "property1": null, "property2": null }, "installed_change_set_id": "string", "last_change_set_id": "string", "created_at": "string", "updated_at": "string", "resources": [ { "kind": "currency", "key": "string", "adopted": true, "applied_digest": "string", "upstream_digest": "string", "current_digest": "string", "drift": "clean", "released_at": "string" } ]}Secret API key bound to an environment.
In: header
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/playbook_upgrade_previews" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "installation_id": "pbi_0123456789abcdef0123456789abcdef", "version": "1.1.0", "resolutions": [ { "kind": "rule", "key": "daily_check_in", "resolution": "keep" } ] }'{ "id": "string", "environment_id": "string", "status": "pending", "channel": "dashboard", "source": "manual", "principal": { "kind": "string", "id": "string" }, "commands": [ null ], "plan": { "plan_digest": "string", "commands_digest": "string", "snapshot_at": "string", "diff": { "entries": [ null ], "unchanged": -9007199254740991 }, "expected_versions": [ { "resource": "string", "key": "string", "version": "string" } ], "effects": { "property1": null, "property2": null }, "irreversibility": [ null ], "flags": [ { "kind": "trust_weakening", "resource": "event_definition", "key": "string", "change": { "path": "string", "before": null, "after": null }, "digest": "string" } ], "required_scopes": [ "string" ], "approved_bounds": { "liability": [ { "currency": "string", "max_minor": "string" } ], "stock": [ { "offer": "string", "max_units": "string" } ], "codes": [ { "pool": "string", "max_codes": "string" } ], "customers_affected": "string", "issuances": { "property1": "string", "property2": "string" } }, "bulk": { "bulk_operation_id": "string", "kind": "string", "parameters": { "property1": null, "property2": null }, "selection": { "property1": null, "property2": null }, "undo_of": "string", "item_count": -9007199254740991, "counts": { "pending": -9007199254740991, "skipped": -9007199254740991 }, "skip_reasons": { "property1": -9007199254740991, "property2": -9007199254740991 }, "undo_class": "string", "undo_classes": { "property1": -9007199254740991, "property2": -9007199254740991 }, "notes": [ "string" ], "sample": [ { "property1": null, "property2": null } ] }, "playbook": { "property1": null, "property2": null }, "destructive": [ { "kind": "string", "count": 0, "identities": [ "string" ], "digest": "string" } ], "provenance": { "source_environment_id": "string", "source_configuration_revision": "string" }, "dependencies": [ { "kind": "program", "key": "string", "id": "string", "version_id": "string" } ], "undo_of": "string", "preconditions": { "property1": null, "property2": null } }, "publish": true, "expires_at": "string", "stale_reason": null, "committed_at": "string", "commit_id": "string", "commit": { "id": "string", "authority": "confirmation", "principal": { "kind": "string", "id": "string" }, "policy": { "property1": null, "property2": null }, "committed_at": "string" }, "undo_of": "string", "undone_by": "string", "created_at": "string", "updated_at": "string", "version": -9007199254740991}Secret API key bound to an environment.
In: header
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/playbook_uninstall_previews" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "installation_id": "pbi_0123456789abcdef0123456789abcdef" }'{ "id": "string", "environment_id": "string", "status": "pending", "channel": "dashboard", "source": "manual", "principal": { "kind": "string", "id": "string" }, "commands": [ null ], "plan": { "plan_digest": "string", "commands_digest": "string", "snapshot_at": "string", "diff": { "entries": [ null ], "unchanged": -9007199254740991 }, "expected_versions": [ { "resource": "string", "key": "string", "version": "string" } ], "effects": { "property1": null, "property2": null }, "irreversibility": [ null ], "flags": [ { "kind": "trust_weakening", "resource": "event_definition", "key": "string", "change": { "path": "string", "before": null, "after": null }, "digest": "string" } ], "required_scopes": [ "string" ], "approved_bounds": { "liability": [ { "currency": "string", "max_minor": "string" } ], "stock": [ { "offer": "string", "max_units": "string" } ], "codes": [ { "pool": "string", "max_codes": "string" } ], "customers_affected": "string", "issuances": { "property1": "string", "property2": "string" } }, "bulk": { "bulk_operation_id": "string", "kind": "string", "parameters": { "property1": null, "property2": null }, "selection": { "property1": null, "property2": null }, "undo_of": "string", "item_count": -9007199254740991, "counts": { "pending": -9007199254740991, "skipped": -9007199254740991 }, "skip_reasons": { "property1": -9007199254740991, "property2": -9007199254740991 }, "undo_class": "string", "undo_classes": { "property1": -9007199254740991, "property2": -9007199254740991 }, "notes": [ "string" ], "sample": [ { "property1": null, "property2": null } ] }, "playbook": { "property1": null, "property2": null }, "destructive": [ { "kind": "string", "count": 0, "identities": [ "string" ], "digest": "string" } ], "provenance": { "source_environment_id": "string", "source_configuration_revision": "string" }, "dependencies": [ { "kind": "program", "key": "string", "id": "string", "version_id": "string" } ], "undo_of": "string", "preconditions": { "property1": null, "property2": null } }, "publish": true, "expires_at": "string", "stale_reason": null, "committed_at": "string", "commit_id": "string", "commit": { "id": "string", "authority": "confirmation", "principal": { "kind": "string", "id": "string" }, "policy": { "property1": null, "property2": null }, "committed_at": "string" }, "undo_of": "string", "undone_by": "string", "created_at": "string", "updated_at": "string", "version": -9007199254740991}